<?php
define('NTLCMS', 1);
$module = 'panel';
include ('../system/start.php');
include ('../system/function.php');
include ('../system/antidos.php');
include ('../system/head.php');
################################################################################
if ($active && $_USER['admin'] == '1'){
################################################################################
switch ($act){
default:
################################################################################
echo '<div class="title"><b>'.razd.' Админ-Панель | Массовая рассылка</b></div>';
################################################################################

echo '<div class="menu">
<form action="'.URL.'/_spam-add" method="post">
<b>Текст рассылки:</b><br/>
<textarea name="message" maxlength="2500"></textarea><br>
<input type="checkbox" name="mail" value="1"'.check(1, $_POST['mail']).'"/><b>На EMAIL</b><br/>
<input type="submit" value="Разослать текст"></form></div>';


echo '<div class="block"><i class="fa fa-home fa-fw"></i> <a href="'.URL.'/cabinet">В кабинет</a> | <a href="'.URL.'/_control">Админ-Панель</a></div>';

break;
################################################################################
case 'add':
echo '<div class="title"><b>'.razd.' Админ-Панель | Процесс рассылки</b></div>';
################################################################################

set_time_limit(0);

$error = null;

if (isset($_POST['message'])){

$msg = isset($_POST['message']) ? filter_var($_POST['message'], FILTER_SANITIZE_STRING) : false;
$mail = isset($_POST['mail']) ? filter_var($_POST['mail'], FILTER_SANITIZE_NUMBER_INT) : '0';

if (empty($msg)){
          $error.= 'Сообщение не должно быть пустым!<br/>';
} elseif (mb_strlen($msg, 'UTF-8') < 1 or mb_strlen($msg, 'UTF-8') > 2500){
          $error.= 'Текст должен содержать от 1 до 2500 символов!<br/>';
}

if ($error){
echo '<div class="post"><center><i class="fa fa-close fa-fw"></i> '.$error.'</center></div>';
} else {

$sql = DB :: run() -> query("select * from `users`");		
		
if (DB :: run() -> querySingle("select * from `users`")){
header('Location: '.URL.'/_spam');

$count = 0;

while ($row = $sql -> fetch(PDO::FETCH_OBJ)){

if ($mail == '1'){
mailto($row -> email, "Массовая рассылка ".strtoupper($_SERVER['HTTP_HOST']), "$msg");
}

DB :: run() -> query("insert into `notice` (`to`, `date`, `status`, `tema`, `text`) values (?, ?, ?, ?, ?)", array($row -> login, TIME, 1, 'Рассылка администрации', $msg));

$count ++;

}
$_SESSION['success'] = 'Успешно разослано на все E-MAIL и личную почту '.word($count, 'письмо', 'письма', 'писем').'!';    
header('Location: '.URL.'/_spam');
} else {
echo '<div class="post"><center><i class="fa fa-close fa-fw"></i> Не найдено пользователей, которым необходимо отправить рассылку!</center></div>';
}
}
}

echo '<div class="block"><i class="fa fa-home fa-fw"></i> <a href="'.URL.'/cabinet">В кабинет</a> | <a href="'.URL.'/_control">Админ-Панель</a></div>';

break;
################################################################################
}
} else {
echo '<div class="title"><b>'.razd.' Проверка прав доступа</b></div>';
echo '<div class="menu"><center><i class="fa fa-close fa-fw"></i> Доступ запрещен!</center></div>';
echo '<div class="block"><i class="fa fa-home fa-fw"></i> '.(isset($active) ? '<a href="'.URL.'/cabinet">В кабинет</a>' : '<a href="'.URL.'">На главную</a>').'</div>';
}

include ('../system/foot.php');
?>